CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

十进制分隔符属性 (ActiveX)

2023-1-3 19:20| 发布者: admin| 查看: 306| 评论: 0|来自: AutoCAD

摘要: 指定要在十进制维度和容差值中用作小数分隔符的字符。

指定要在十进制维度和容差值中用作小数分隔符的字符。

支持的平台:仅窗口

签名

工 务 局:

object.DecimalSeparator
对象

类型:暗三点角度,暗对齐,暗,暗弧长度,暗直径,尺寸,暗坐标,径向,向大,暗旋转

此属性适用的对象。

属性值

只读:

类型:字符串

在十进制值中用作分隔符的单个字符。

言论

此属性的初始值为 “.”。

任何字符都将被接受为此属性的有效值。

仅当此属性设置为 时,才会使用此属性。UnitsFormatacDimDecimal

注意:此属性将覆盖给定维度的 DIMDSEP 系统变量的值。

例子

工 务 局:

Sub Example_DecimalSeparator()
    ' This example creates a Dim3PointAngular object in model space
    ' and allows the user to change the decimal separator appearance
    ' using the DecimalSeparator property
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    Dim oldSeparator As String, newSeparator As String
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    
    ' Set precision so that degrees are visible
    DimPointAngularObj.TextPrecision = acDimPrecisionFour
    
    ThisDrawing.Application.ZoomAll

    ' Read and display current decimal separator
    MsgBox "The decimal separator for this object is currently set to: [" & DimPointAngularObj.DecimalSeparator & "]"

    ' Alter the decimal separator property for this object
    oldSeparator = DimPointAngularObj.DecimalSeparator
    newSeparator = InputBox("Enter a new decimal separator", "Change Decimal Separator", oldSeparator)
    
    If newSeparator = "" Then
        Exit Sub
    Else
        ' Set new decimal separator, making sure to use only one character
        DimPointAngularObj.DecimalSeparator = Left(newSeparator, 1)
    End If
    
    ThisDrawing.Regen acAllViewports
    
    ' Read and display current decimal separator
    MsgBox "The decimal separator for this object is now set to: [" & DimPointAngularObj.DecimalSeparator & "]"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DecimalSeparator()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and allows the user to change the decimal separator appearance
    ;; using the DecimalSeparator property
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    
    ;; Set precision so that degrees are visible
    (vla-put-TextPrecision DimPointAngularObj acDimPrecisionFour)
    
    (vla-ZoomAll acadObj)

    ;; Read and display current decimal separator
    (alert (strcat "The decimal separator for this object is currently set to: [" (vla-get-DecimalSeparator DimPointAngularObj) "]"))

    ;; Alter the decimal separator property for this object
    (setq oldSeparator (vla-get-DecimalSeparator DimPointAngularObj))
    (setq newSeparator (getstring "\nEnter a new decimal separator: "))
    
    (if (/= newSeparator "")
        ;; Set new decimal separator, making sure to use only one character
        (vla-put-DecimalSeparator DimPointAngularObj newSeparator)
    )
    
    (vla-Regen doc acAllViewports)
    
    ;; Read and display current decimal separator
    (alert (strcat "The decimal separator for this object is now set to: [" (vla-get-DecimalSeparator DimPointAngularObj) "]"))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 17:55

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部